GetNotebookRun
Gets the details of a notebook run in Amazon SageMaker Unified Studio.
Request Syntax
GET /v2/domains/domainIdentifier/notebook-runs/identifier HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- domainIdentifier
-
The identifier of the Amazon SageMaker Unified Studio domain in which the notebook run exists.
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36}Required: Yes
- identifier
-
The identifier of the notebook run.
Pattern:
[a-zA-Z0-9_-]{1,36}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"cellOrder": [
{
}
],
"completedAt": number,
"computeConfiguration": {
"environmentVersion": "string",
"instanceType": "string"
},
"createdAt": number,
"createdBy": "string",
"domainId": "string",
"environmentConfiguration": {
"imageVersion": "string",
"packageConfig": {
"packageManager": "string",
"packageSpecification": "string"
}
},
"error": {
"message": "string"
},
"id": "string",
"metadata": {
"string" : "string"
},
"networkConfiguration": {
"networkAccessType": "string",
"securityGroupIds": [ "string" ],
"subnetIds": [ "string" ],
"vpcId": "string"
},
"notebookId": "string",
"owningProjectId": "string",
"parameters": {
"string" : "string"
},
"scheduleId": "string",
"startedAt": number,
"status": "string",
"storageConfiguration": {
"kmsKeyArn": "string",
"projectS3Path": "string"
},
"timeoutConfiguration": {
"runTimeoutInMinutes": number
},
"triggerSource": {
"name": "string",
"type": "string"
},
"updatedAt": number,
"updatedBy": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- cellOrder
-
The ordered list of cells in the notebook run.
Type: Array of CellInformation objects
Array Members: Minimum number of 0 items. Maximum number of 200 items.
- completedAt
-
The timestamp of when the notebook run completed.
Type: Timestamp
- computeConfiguration
-
The compute configuration of the notebook run.
Type: ComputeConfig object
- createdAt
-
The timestamp of when the notebook run was created.
Type: Timestamp
- createdBy
-
The identifier of the user who created the notebook run.
Type: String
- domainId
-
The identifier of the Amazon SageMaker Unified Studio domain.
Type: String
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36} - environmentConfiguration
-
The environment configuration of the notebook run, including image version and package settings.
Type: EnvironmentConfig object
- error
-
The error details if the notebook run failed.
Type: NotebookRunError object
- id
-
The identifier of the notebook run.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - metadata
-
The metadata of the notebook run.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 0. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 1024.
- networkConfiguration
-
The network configuration of the notebook run.
Type: NetworkConfig object
- notebookId
-
The identifier of the notebook.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - owningProjectId
-
The identifier of the project that owns the notebook run.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - parameters
-
The sensitive parameters of the notebook run.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 0. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 1024.
- scheduleId
-
The identifier of the schedule associated with the notebook run.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - startedAt
-
The timestamp of when the notebook run started executing.
Type: Timestamp
- status
-
The status of the notebook run.
Type: String
Valid Values:
QUEUED | STARTING | RUNNING | STOPPING | STOPPED | SUCCEEDED | FAILED - storageConfiguration
-
The storage configuration of the notebook run, including the Amazon Simple Storage Service path and AWS KMS key ARN.
Type: StorageConfig object
- timeoutConfiguration
-
The timeout configuration of the notebook run.
Type: TimeoutConfig object
- triggerSource
-
The source that triggered the notebook run.
Type: TriggerSource object
- updatedAt
-
The timestamp of when the notebook run was last updated.
Type: Timestamp
- updatedBy
-
The identifier of the user who last updated the notebook run.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request has failed because of an unknown error, exception or failure.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource cannot be found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- UnauthorizedException
-
You do not have permission to perform this action.
HTTP Status Code: 401
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: